Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPDefRegHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDefRegHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  DefRegHandler

    public abstract class EPPDefRegHandler

extends java.lang.Object
implements EPPEventHandler

The `EPPDefRegHandler` class provides an interface for handling EPP DefReg Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPDefRegHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the DefReg Mapping will be handled there.

See Also:
  `EPPEventHandler`, `EPPEvent`

Constructor Summary
`EPPDefRegHandler()` Whenever an EPPDefRegHandler instance is created load the corresponsding Map Factory into the Codec

Method Summary
`protected abstract EPPEventResponse` | `doDefRegCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Check command is received.
`protected abstract EPPEventResponse` | `doDefRegCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Create command is received.
`protected abstract EPPEventResponse` | `doDefRegDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Delete command is received.
`protected abstract EPPEventResponse` | `doDefRegInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Info command is received.
`protected abstract EPPEventResponse` | `doDefRegRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Renew command is received.
`protected abstract EPPEventResponse` | `doDefRegTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Transfer command is received.
`protected abstract EPPEventResponse` | `doDefRegUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a DefReg Update command is received.
`java.lang.String` | `getNamespace()` Returns the Namespace that this handler supports.
`EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all defReg commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all defReg commands need to execute before they execute their command specific behavior.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPDefRegHandler

    public EPPDefRegHandler()

  Whenever an EPPDefRegHandler instance is created load the corresponsding Map Factory into the Codec

Method Detail

### getNamespace

    public final java.lang.String getNamespace()

  Returns the Namespace that this handler supports. In this case, defReg.

  Specified by:
    `getNamespace` in interface `EPPEventHandler`
  Returns:
    String The Namespace that this handler supports

### handleEvent

    public final EPPEventResponse handleEvent(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

  This method receives an `EPPEvent` and routes it to the appropriate abstract method.

  Specified by:
    `handleEvent` in interface `EPPEventHandler`
  Parameters:
    `aEvent` - An `EPPEvent` that contains the `EPPCommand`
    `aData` - Any data that a Server needs to send to this `EPPContactHandler` instance
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all defReg commands need to execute before they execute their command specific behavior. The default implementation does nothing.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all defReg commands need to execute after they execute their command specific behavior. The default implementation does nothing

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doDefRegCreate

    protected abstract EPPEventResponse doDefRegCreate(EPPEvent aEvent,
                                                       java.lang.Object aData)

  Invoked when a DefReg Create command is received. Subclasses should define the behavior when a DefReg Create command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegDelete

    protected abstract EPPEventResponse doDefRegDelete(EPPEvent aEvent,
                                                       java.lang.Object aData)

  Invoked when a DefReg Delete command is received. Subclasses should define the behavior when a DefReg Delete command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegInfo

    protected abstract EPPEventResponse doDefRegInfo(EPPEvent aEvent,
                                                     java.lang.Object aData)

  Invoked when a DefReg Info command is received. Subclasses should define the behavior when a DefReg Info command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegCheck

    protected abstract EPPEventResponse doDefRegCheck(EPPEvent aEvent,
                                                      java.lang.Object aData)

  Invoked when a DefReg Check command is received. Subclasses should define the behavior when a DefReg Check command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegRenew

    protected abstract EPPEventResponse doDefRegRenew(EPPEvent aEvent,
                                                      java.lang.Object aData)

  Invoked when a DefReg Renew command is received. Subclasses should define the behavior when a DefReg Renew command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegTransfer

    protected abstract EPPEventResponse doDefRegTransfer(EPPEvent aEvent,
                                                         java.lang.Object aData)

  Invoked when a DefReg Transfer command is received. Subclasses should define the behavior when a DefReg Transfer command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDefRegUpdate

    protected abstract EPPEventResponse doDefRegUpdate(EPPEvent aEvent,
                                                       java.lang.Object aData)

  Invoked when a DefReg Update command is received. Subclasses should define the behavior when a DefReg Update command is received.

  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDefRegdHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.